local text
function love.load()
	require("menu")
	require("r128")
	require("r64")
	require("r32")
	state=m
	state:load()
	text ="scene:"
	fontcolor={ 0,0,200,255 }
	color={ 100,0,0,255 }
	font =love.graphics.newFont(25)
	showcube=0
	show=""
end

function love.update(dt)
	state:update(dt)
	
	if love.keyboard.isDown("f") then
		showcube=1
		show ="32x32"
	elseif love.keyboard.isDown("s") then
		showcube=2
		show ="64x64"		
	elseif love.keyboard.isDown("t") then
		showcube=3
		show ="128x128"
	end
end

function love.draw()
	state:draw()
	love.graphics.setColor( unpack{ fontcolor } )
	love.graphics.setFont( font )
	love.graphics.print( text..show, 450, 85, 0, 1, 1, 0, 0 )
	
	
	love.graphics.setColor( unpack{ color } )
	love.graphics.setFont( font )
	love.graphics.print( "Press: F , S , T ", 50, 400, 0, 1, 1, 0, 0 )
end

function love.keypressed(key)
    if key == 'escape' then
       love.event.quit()
    end
end


