m={}
m.l={}
local garbageCount
function m:load()
	c:load()
	b:load()
	r:load()
	self.l["bg"]=love.graphics.newImage("res/bg.png")
	self.l["bgf"]=love.graphics.newImage("res/bgf.png")
	self.l["bgcolor"]={255,255,255,255}
	self.l["fontcolor"]={ 0,40, 0,255}
	self.l["font"]=love.graphics.newFont(12)
	self.l["textFont"]= love.graphics.newFont("res/Minimal5x7.ttf", 35)
	self.l["texttcolor"]={ 10,10, 10,255}	
	self.l["printcolor"]= {255,255,255,255}
	self.l["printfont"]= love.graphics.newFont(20) 
	self.l["print"]='Cube Sizes \n'
	self.l["print"]=self.l["print"]..'F   32x32 \n'
	self.l["print"]=self.l["print"]..'S   64x64 \n'
	self.l["print"]=self.l["print"]..'T   128x128 \n'
	self.l["print"]=self.l["print"]..'Press scape to quit! \n'
	self.l["text"]=[[ Cube Description]]
	
end

function m:update(dt)
	garbageCount= collectgarbage("count")*1024
	
	if showcube==3 then c:update(dt)end
	if showcube==2 then b:update(dt)end
	if showcube==1 then r:update(dt)end
	
end

function m:draw()
	--background--
	love.graphics.setColor( unpack{ self.l["bgcolor"] } )
	love.graphics.draw( self.l["bg"], 0 , 0 )
	
	--Head description--
	love.graphics.setColor( unpack{ self.l["texttcolor"] } )
	love.graphics.setFont( self.l["textFont"] )
	love.graphics.print( self.l["text"], 100, 50)
	
	
	--Descrimtion cubes--
	love.graphics.setColor( unpack{ self.l["printcolor"] } )
	love.graphics.setFont(self.l["printfont"])
	love.graphics.print( self.l["print"], 50, 200)
	
	
	--FPS + DT--
    love.graphics.setColor( unpack{ self.l["fontcolor"] } )
	love.graphics.setFont(self.l["font"])
	love.graphics.print('GarbageCount: '..garbageCount, 50, 530)
    love.graphics.print("FPS: " .. love.timer.getFPS(), 50, 550)
    love.graphics.print("dt: " .. love.timer.getDelta(), 50, 570)
	
	
	if showcube==3 then c:draw() end
	if showcube==2 then b:draw() end
	if showcube==1 then r:draw() end
	
	
	
	love.graphics.setColor( unpack{ self.l["bgcolor"] } )
	love.graphics.draw( self.l["bgf"], 0 , 0 )
		
	--reset color--
	love.graphics.setColor(255,255,255,255)
end

return m